/* Reset base */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 18px;
}

body {
    font-family: 'Mulish', sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    line-height: 1.6;
    color: #333;
    background-color: #fff;
    /* padding: 2rem 1rem; */
    padding: 3rem 6vw 7rem;
    letter-spacing: -0.0125em;
    word-spacing: 0.025em;
}

/* Contenitore principale - colonna centrale */
.container {
    /* max-width: 600px; */
    max-width: 33rem;
    /* margin: 4rem auto 5rem; */
    margin: 0 auto;
    /* padding: 4rem 1rem 5rem; */
    background-color: white;
}

/* Intestazione */
header {
/*    margin-bottom: 2rem; */
    margin-bottom: 1rem;
}

h1 {
    font-size: 2rem;
    font-weight: 850;
    margin-top: 2rem;
    margin-bottom: 0.5rem;
    margin-bottom: 2rem;
}

.tagline {
    color: #666;
    font-size: 1.1rem;
    margin-bottom: 1rem;
}

/* Sezioni di contenuto */
section {
    margin-bottom: 2.5rem;
}

h2 {
    font-size: 1.33rem;
    font-weight: 850;
    margin-bottom: 1rem;
}

p {
    margin-bottom: 1rem;
}

a {
    color: #0066cc;
    color: hsl(200, 100%, 33%);
    text-decoration: none;
    font-weight: 500;
}

figure {
    /* margin: 1.5rem 0 1.25rem; */
}

.hidden {
    display: none !important;
}


/* Latest works */
.latest-works {
    margin-top: -0.33rem;
    margin-bottom: 1.66rem;
    margin-bottom: 1.33rem;  /* ??? */
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    flex-wrap:nowrap;
    gap: 0.75rem;
}
.work-link {
    display: block;
    /* flex: 1 1 0; */
    /* margin-right: 1rem; */
    /* padding: 0.5rem; */
    /* background-color: #f9f9f9; */
    /* border-radius: 0.5rem; */
    text-decoration: none;
    position: relative;
    flex: 1;
}
.work-image {
    width: 100%;
    /* height: 7rem; */   /* ??? */
    display: block;
    object-fit: cover;
    /* border-radius: 0.5rem;
    margin-bottom: 0.5rem; */
    border-radius: 0.2rem;
}
.work-border {
    position: absolute;
    top: 0;
    /* left: 0;
    right: 0;
    bottom: 0; */
    width: 100%;
    height: 100%;  
    border: 1px solid #ccc;
    /* border: 1px solid hsl(195, 100%, 35%); */
    border-radius: 0.2rem;
    mix-blend-mode: darken;
}

/* Text Lists */

.text-list {
    margin-bottom: 1.5rem;
}

.text-list li {
    list-style: none;
    margin-bottom: 0.5rem;
}

.text-list li:last-child {
    margin-bottom: 0;
}

/* .text-list li a { */
.text-list li strong {
    font-weight: 750;
    font-size: 1.02778em;
}

.link-item {
    /*
    display: block;
    margin-bottom: 0.75rem;
    */
/*    color: #0066cc;
    color: hsl(195, 100%, 36%);
    text-decoration: none; */
}

.link-item:hover {
    /* text-decoration: underline; */
}

.qualifications li {
    /* margin-bottom: 0.25rem;  */
    margin-bottom: 0.125rem; 
}

/* Social links */
.social-links {
/*    margin-top: 1.5rem; */
    /* margin: -0.5rem -0.5rem -0.25rem; */
    margin: -1rem -0.5rem -0.25rem;
}

.social-link {
    display: inline-flex;
    align-items: center;
    /* margin-right: 1rem; */
/*    margin-bottom: 1rem; */
    padding: 0.5rem;
    /* color: hsl(200, 100%, 33%); */
    text-decoration: none;
}

.social-link:hover {
    text-decoration: underline;
}

.social-icon {
    width: 1.6rem;
    height: 1.6rem;
/*    margin-right: 5px; */
    display: inline-block;
    vertical-align: middle;
    fill: hsl(200, 100%, 35%);
}

/* Email offuscato */
/*
.email {
    unicode-bidi: bidi-override;
    direction: rtl;
    white-space: nowrap;
    text-align: left;
}
*/
/* Footer */

footer {
    margin-top: 3rem;
    color: #888;
/*    font-size: 0.9rem;  */
}

/* Responsive */
@media (max-width: 768px) {
    html {
        font-size: 16px;
    }
    body {
        padding: 1rem 6vw 3.5rem;
        line-height: 1.5;
    }
    .container {
/*        padding: 1.5rem; */
        /* margin: 9vw 7.75vw 11vw; */
    }
    .text-list li {
        margin-bottom: 0.6rem;
    }
    .qualifications li {
        margin-bottom: 0.45rem; */
    }
    .latest-works {
        gap: 1.67vw;
    }
    .work-image {
        /* height: 16.5vw; */  /* ??? */
    }
}

@media (max-width: 520px) {
    .qualifications li {
        /* margin-bottom: 0.33rem; */
    }
}

@media (max-width: 480px) {
    h1 {
        margin-bottom: 1rem;
    }
    .latest-works {
        flex-wrap: wrap;
        gap: 2.5vw;
    }
    .work-link {
        flex: 1 1 45%;
    }
    .work-image {
 /*       height: 33vw;  */  /* ??? */
    }
}

svg {
    display: inline-block;
    vertical-align: middle;
}